Bug 314151 - bad page state in process * (usually yum)
bad page state in process * (usually yum)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-01 12:41 EDT by Jón Fairbairn
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.6.23.9-85.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 12:40:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jón Fairbairn 2007-10-01 12:41:25 EDT
Description of problem:
After hibernate, 
Running yum causes messages of the form "Bad page state in process *"
to be logged.

Version-Release number of selected component (if applicable):

kernel-2.6.22.5-76.fc7 (and all the kernels I've tried since
installing f7)

How reproducible:

Fairly -- since it gets in the way of using the machine,
I've not been enthusiastic about doing so.

Steps to Reproduce:
1. Hibernate (typically by not noticing that the battery is low!)
2. Resume
3. run yum updage
  
Actual results:
Oct  1 16:42:31 ideogramme kernel: Backtrace:
Oct  1 16:42:31 ideogramme kernel:  [<c0460681>] bad_page+0x70/0x9b
Oct  1 16:42:31 ideogramme kernel:  [<c0460f0b>] get_page_from_freelist+0x1de/0x2b0
Oct  1 16:42:31 ideogramme kernel:  [<c0461045>] __alloc_pages+0x68/0x2a0
Oct  1 16:42:31 ideogramme kernel:  [<c045d0c4>] find_lock_page+0x1a/0x7e
Oct  1 16:42:31 ideogramme kernel:  [<c045e43c>]
generic_file_buffered_write+0x1aa/0x5d3
Oct  1 16:42:31 ideogramme kernel:  [<c045ece5>]
__generic_file_aio_write_nolock+0x480/0x4df
Oct  1 16:42:31 ideogramme kernel:  [<c05035f3>] vgacon_set_cursor_size+0x34/0xca
Oct  1 16:42:31 ideogramme kernel:  [<c045ed99>] generic_file_aio_write+0x55/0xb4
Oct  1 16:42:31 ideogramme kernel:  [<f0127fb8>] ext3_file_write+0x24/0x90 [ext3]
Oct  1 16:42:31 ideogramme kernel:  [<c047a294>] do_sync_write+0xc7/0x10a
Oct  1 16:42:31 ideogramme kernel:  [<c0438461>] autoremove_wake_function+0x0/0x35
Oct  1 16:42:31 ideogramme kernel:  [<c047a1cd>] do_sync_write+0x0/0x10a
Oct  1 16:42:31 ideogramme kernel:  [<c047aae6>] vfs_write+0xa8/0x15a
Oct  1 16:42:31 ideogramme kernel:  [<c047b103>] sys_write+0x41/0x67
Oct  1 16:42:31 ideogramme kernel:  [<c0404f8e>] syscall_call+0x7/0xb
Oct  1 16:42:31 ideogramme kernel:  =======================


Expected results:

Nothing so alarming!

Additional info:

The machine runs happily for weeks if I suspend it rather
than hibernate it, so I don't think there's a hardware
problem (unlike the reporter of bug #240733).
Comment 1 Jón Fairbairn 2007-10-01 12:43:59 EDT
Forgot to say: this is on an IBM thinkpad X30 (26724XG).  I suspect something
quirky in ACPI for hibernate.
Comment 2 Christopher Brown 2008-01-14 13:13:20 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 3 Jón Fairbairn 2008-01-15 12:40:08 EST
I've been unable (so far) to reproduce the bug with Fedora
8, kernel 2.6.23.9-85.fc8

Note You need to log in before you can comment on or make changes to this bug.